# PetscLogStageGetId

Returns the stage id when given the stage name.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscLogStageGetId(const char name[], int *stage)

Not Collective

### Input Parameter

name -The stage name

### Output Parameter

stage -The stage

### See Also

PetscLogStagePush(), PetscLogStagePop(), PreLoadBegin(), PreLoadEnd(), PreLoadStage()

Level:intermediate
Location: src/sys/plog/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages